## org.aspectj.weaver.tools
Interface PointcutParameter

    public interface PointcutParameter

Author:
  colyer Represents a parameter in a pointcut expression. For example pointcut pc(String s) : .....; has a PointcutParameter of name "s" and type String.

Method Summary
`java.lang.Object` `getBinding()` At a matched join point, the parameter binding.
`java.lang.String` `getName()` The name of this parameter
`java.lang.Class` `getType()` The type of the parameter

Method Detail

### getName

    java.lang.String getName()

  The name of this parameter

### getType

    java.lang.Class getType()

  The type of the parameter

### getBinding

    java.lang.Object getBinding()

  At a matched join point, the parameter binding.